% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Metadata.R
\name{Metadata}
\alias{Metadata}
\title{Construct the metadata for the probability calculations}
\usage{
Metadata(tractId, modelFilename, depEstFilename, seed = NULL,
  tractName = "(not specified)", depositModel = "(not specified)",
  calcDate = date(), personName = "(not specified)",
  otherInfo = "(not specified)")
}
\arguments{
\item{tractId}{Character string containing the tract identifier, which is a unique
identifier for the permissive tract. (See Details).}

\item{modelFilename}{Name of the file containing either the grade and tonnage model or
the tonnage model.}

\item{depEstFilename}{Name of the file containing the esimated numbers of undiscovered deposits.}

\item{seed}{Seed for the probability calculations}

\item{tractName}{Character string containing the name of the permissive tract.}

\item{depositModel}{Character string containing the name of the deposit model.}

\item{calcDate}{Character string containing the date and time of the probability
calculations.}

\item{personName}{Character string containing the name of the person performing the
probability calculations.}

\item{otherInfo}{Character string containing addtional information about the
permissive tract or the assessment.}
}
\value{
A list with the following components is returned.

\item{tractId}{Input argument tractId}

\item{modelFilename}{Input argument modelFilename}

\item{depEstFilename}{Input argument depEstFilename}

\item{seed}{Input argument seed}

\item{tractName}{Input argument tractName}

\item{depositModel}{Input argument depositModel}

\item{calcDate}{Input argument calcDate}

\item{personName}{Input argument personName}

\item{otherInfo}{Input argument otherInfo}

\item{call}{Function call}
}
\description{
Construct the metadata for the probability calculations
for one permissive tract.
}
\details{
Parameter \code{tractId}, which is a character string, is used to
generate file
names associated with the probability calculations. Consequently,
\code{tractId} must be suitable for a file name. That is,
\code{tractId} should contain neither spaces nor non-standard characters
such as !, $, and &.
}
\examples{
oMeta <- Metadata("PT001", "myGatm.csv", "myDepEst.csv",
                  seed = 7, tractName = "Lucky Strike",
                  depositModel = "Copper-gold subtype of porphyry copper",
                  personName = "Mary Doe",
                  otherInfo = "Example assessment")

}

