% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/GradePdf.R
\name{plot.GradePdf}
\alias{plot.GradePdf}
\title{Plot the histogram and the cdf for each log-ratio of grades}
\usage{
\method{plot}{GradePdf}(object, isUsgsStyle = TRUE)
}
\arguments{
\item{object}{An object of class "GradePdf".}

\item{isUsgsStyle}{Make the plot format similar to the U.S. Geological Survey style}
}
\description{
Plot the histogram and the
cumulative distribution function (cdf) for each log-ratio of the grades.
The grades are derived from the joint pdf that represents them.
Beneath each histogram are the log-ratios calculated from the grade and
tonnage model. Included with each cdf is the
empirical cumulative distribution function (ecdf)
for the log-ratios calculated from the grade and tonnage model.
}
\details{
In the cdf, the solid black line represent the cdf, and the red dots
represent the ecdf.
}
\examples{
gradePdf <- GradePdf(ExampleGatm)
plot(gradePdf)

}
\references{
Pawlowsky-Glahn, V., Egozcue, J.J., and Tolosana-Delgado, R., 2015, Modeling
and analysis of compostional data: Chichester, United Kindom, John Wiley &
Sons, Ltd., 247 p.
}

