% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/NDepositsPmf.R
\name{plot.NDepositsPmf}
\alias{plot.NDepositsPmf}
\title{Plot both the pmf and the elicitation percentiles for the number of
undiscovered deposits}
\usage{
\method{plot}{NDepositsPmf}(object, isMeanPlotted = FALSE,
  areLinesAdded = TRUE, isUsgsStyle = TRUE)
}
\arguments{
\item{object}{An object of class "NDepositsPmf"}

\item{isMeanPlotted}{Logical variable indicating whether the mean is plotted on the pmf.}

\item{areLinesAdded}{Logical variable indicating whether vertical lines are added to the pmf.
A vertical line is added for each number of an undiscovered deposit, making
it easier to perceive the associated probability mass.}

\item{isUsgsStyle}{Make the plot format similar to the U.S. Geological Survey style.}
}
\description{
Plots both the probability mass function (pmf) and the
elicitation percentiles for the number of
undiscovered deposits in the permissive tract. However, if the pmf type
is Custom, then there are no elicitation percentiles, and, hence,
they are not plotted.
}
\details{
The elicitation percentiles are defined in the User's Guide.

If the range for the horizontal axis is large (for example, 0 to 300) then
the plot of the pmf using bars may appear odd. In this case,
set argument pmfPlotSymbol to "point".

In the plot of the elicitation percentiles, the count refers to the number
of assessment members who estimated the same number of undiscovered
deposits, for the specified percentile.
}
\examples{
pmf1 <- NDepositsPmf("NegBinomial", list(nDepEst = ExampleDepEst1))
plot(pmf1)

pmf2 <- NDepositsPmf("Custom", list(nDeposits = 1, relProbabilities = 1))
plot(pmf2)

}

