% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/TonnagePdf.R
\name{plot.TonnagePdf}
\alias{plot.TonnagePdf}
\title{Plot the pdf and cdf for the tonnage.}
\usage{
\method{plot}{TonnagePdf}(object, isUsgsStyle = TRUE)
}
\arguments{
\item{object}{An object of class "TonnagePdf".}

\item{isUsgsStyle}{Make the plot format similar to the U.S. Geological Survey style}
}
\description{
Plot the probability density function (pdf) and the
cumulative distribution function (cdf) that represent the
tonnages. The pdf is represented by the histogram.
Beneath the pdf, plot the tonnages from the model.
On the cdf, plot the
empirical cumulative distribution function (ecdf)
for the tonnages from the model.
}
\details{
In the cdf, the solid line represent the cdf, and the dots represent
the ecdf.

Deviance measures the
misfit between the pdf and the tonnages from the model.
Smaller values of deviance indicate smaller misfit. The deviance
is printed near the bottom of the pdf.
}
\examples{
oTonPdf <- TonnagePdf(ExampleGatm)
plot(oTonPdf)

}

