% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Simulation.R
\name{print.Simulation}
\alias{print.Simulation}
\title{Print the simulated undiscovered deposits in a file}
\usage{
\method{print}{Simulation}(object, filename)
}
\arguments{
\item{object}{An object of class "Simulation"}

\item{filename}{Name of the file}
}
\description{
Print the simulated undiscovered deposits in a file for which
the format is the comma separated value.
}
\details{
If the simulated deposits include grades, then they are reported in percent.
}
\examples{
oPmf <- NDepositsPmf("NegBinomial", list(nDepEst = ExampleDepEst4))
oTonPdf <- TonnagePdf(ExampleGatm)
oGradePdf <- GradePdf(ExampleGatm)
oDeposits <- Simulation(oPmf, oTonPdf, oGradePdf)
filename <- paste(getTractId(oMeta), "_Simulation.csv", sep = "")
print(oDeposits, filename)

oPmf <- NDepositsPmf("NegBinomial", list(nDepEst = ExampleDepEst4))
oTonPdf <- TonnagePdf(ExampleTm)
oGradePdf <- GradePdf(ExampleTm)
oDeposits <- Simulation(oPmf, oTonPdf)
filename <- paste(getTractId(oMeta), "_Simulation.csv", sep = "")
print(oDeposits, filename)

}

