% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/GradePdf.R
\name{summary.GradePdf}
\alias{summary.GradePdf}
\title{Summary comparison of the pdf that represents the grades
and the grades from the grade and tonnage model}
\usage{
\method{summary}{GradePdf}(object, nDigits = 3)
}
\arguments{
\item{object}{An object of class "GradePdf"}

\item{nDigits}{Number of signficant digits.}
}
\description{
Using summary statistics, this function compares
the probability density function (pdf) that represents the grades
to the grades from the grade and tonnage model.
The summary statistics are various quantiles,
the compositional mean and the variation matrix.
}
\details{
Corresponding minimum and maximum statistics might differ a lot,
if the pdf is not truncated (see function GradePdf1).
}
\examples{
gradePdf <- GradePdf(ExampleGatm)
summary(gradePdf)

}
\references{
Pawlowsky-Glahn, V., Egozcue, J.J., and Tolosana-Delgado, R., 2015, Modeling
and analysis of compostional data: Chichester, United Kindom, John Wiley &
Sons, Ltd., 247 p.
}

