% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/TonnagePdf.R
\name{summary.TonnagePdf}
\alias{summary.TonnagePdf}
\title{Summary comparison of the pdf that represents
the tonnages and the actual tonnages in the model.}
\usage{
\method{summary}{TonnagePdf}(object, nDigits = 3)
}
\arguments{
\item{object}{An object of class "TonnagePdf"}

\item{nDigits}{Number of signficant digits.}
}
\description{
Using summary statistics, this function compares
the probability density function (pdf) that represents
the tonnages to the actual tonnages in the model.
The summary statistics are various quantiles, mean, and standard deviation.
The comparison is involves both the log-transformed tonnages
and the untransformed tonnages.
}
\details{
The statistics calculated with log-transformed tonnages are particularly
important because they indicate the fit of the pdf to the tonnages
from either the grade and tonnage model or the tonnage model.
Differences between corresponding statistics usually differ slightly.
However, if the pdf is not
truncated (see function TonnagePdf), then the corresponding
minimum and the maximum statistics might differ a lot.

For the untransformed tonnages, the
differences between corresponding statistics may be relatively large.
The reason is
that the pdf is fit to the log-transformed tonnages, not the
untransformed tonnages.
}
\examples{
oTonPdf <- TonnagePdf(ExampleGatm)
summary(oTonPdf)

oTonPdf <- TonnagePdf(ExampleTm)
summary(oTonPdf)

}

